summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakov Smolic <jakov.smolic@sartura.hr>2020-11-14 21:20:01 +0100
committerDavid Seifert <soap@gentoo.org>2020-11-14 21:20:01 +0100
commitabeb6e222ffcc1bdf15594803a85e5936ce265b2 (patch)
tree2036a7f962b88fc5f33afd7f52e61b011a359b64 /sys-fabric/libibmad
parentsys-fabric/libibcm: disable static libs (diff)
downloadgentoo-abeb6e222ffcc1bdf15594803a85e5936ce265b2.tar.gz
gentoo-abeb6e222ffcc1bdf15594803a85e5936ce265b2.tar.bz2
gentoo-abeb6e222ffcc1bdf15594803a85e5936ce265b2.zip
sys-fabric/libibmad: disable static libs
Closes: https://bugs.gentoo.org/725698 Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr> Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'sys-fabric/libibmad')
-rw-r--r--sys-fabric/libibmad/libibmad-1.3.11.ebuild11
1 files changed, 10 insertions, 1 deletions
diff --git a/sys-fabric/libibmad/libibmad-1.3.11.ebuild b/sys-fabric/libibmad/libibmad-1.3.11.ebuild
index 785819b5fbd..133c5aee3dd 100644
--- a/sys-fabric/libibmad/libibmad-1.3.11.ebuild
+++ b/sys-fabric/libibmad/libibmad-1.3.11.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@@ -19,3 +19,12 @@ DEPEND="
"
RDEPEND="${DEPEND}"
block_other_ofed_versions
+
+src_configure() {
+ econf --disable-static
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete || die
+}